# Class EventActions

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.events.EventActions

public class EventActions extends JsonBaseModel
Represents the actions attached to an event.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `EventActions.Builder`
  Builder for `EventActions`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventActions()`
  Default constructor for Jackson.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Integer>`
  `artifactDelta()`
  `static EventActions.Builder`
  `builder()`
  `Optional<EventCompaction>`
  `compaction()`
  `Set<String>`
  `deletedArtifactIds()`
  `Optional<Boolean>`
  `endInvocation()`
  Deprecated.
  Use `endOfAgent()` instead.
  `boolean`
  `endOfAgent()`
  `boolean`
  `equals(Object o)`
  `Optional<Boolean>`
  `escalate()`
  `int`
  `hashCode()`
  `void`
  `removeStateByKey(String key)`
  Removes a key from the state delta.
  `Map<String, Map<String,Object>>`
  `requestedAuthConfigs()`
  `Map<String, ToolConfirmation>`
  `requestedToolConfirmations()`
  `void`
  `setArtifactDelta(Map<String,Integer> artifactDelta)`
  `void`
  `setCompaction(@Nullable EventCompaction compaction)`
  `void`
  `setDeletedArtifactIds(Set<String> deletedArtifactIds)`
  `void`
  `setEndInvocation(boolean endInvocation)`
  Deprecated.
  Use `setEndOfAgent(boolean)` instead.
  `void`
  `setEndOfAgent(boolean endOfAgent)`
  `void`
  `setEscalate(@Nullable Boolean escalate)`
  `void`
  `setRequestedAuthConfigs(Map<String, ? extends Map<String,Object>> requestedAuthConfigs)`
  `void`
  `setRequestedToolConfirmations(Map<String, ToolConfirmation> requestedToolConfirmations)`
  `void`
  `setSkipSummarization(boolean skipSummarization)`
  `void`
  `setSkipSummarization(@Nullable Boolean skipSummarization)`
  `void`
  `setStateDelta(ConcurrentMap<String,Object> stateDelta)`
  Deprecated.
  `void`
  `setTransferToAgent(@Nullable String transferToAgent)`
  `Optional<Boolean>`
  `skipSummarization()`
  `Map<String,Object>`
  `stateDelta()`
  `EventActions.Builder`
  `toBuilder()`
  `Optional<String>`
  `transferToAgent()`

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EventActions

    public EventActions()
    Default constructor for Jackson.

- ## Method Details

  - ### skipSummarization

    public Optional<Boolean> skipSummarization()

  - ### setSkipSummarization

    public void setSkipSummarization(@Nullable Boolean skipSummarization)

  - ### setSkipSummarization

    public void setSkipSummarization(boolean skipSummarization)

  - ### stateDelta

    public Map<String,Object> stateDelta()

  - ### setStateDelta

    @Deprecated public void setStateDelta(ConcurrentMap<String,Object> stateDelta)
    Deprecated.

  - ### removeStateByKey

    public void removeStateByKey(String key)
    Removes a key from the state delta.
    Parameters:
      `key` - The key to remove.

  - ### artifactDelta

    public Map<String,Integer> artifactDelta()

  - ### setArtifactDelta

    public void setArtifactDelta(Map<String,Integer> artifactDelta)

  - ### deletedArtifactIds

    public Set<String> deletedArtifactIds()

  - ### setDeletedArtifactIds

    public void setDeletedArtifactIds(Set<String> deletedArtifactIds)

  - ### transferToAgent

    public Optional<String> transferToAgent()

  - ### setTransferToAgent

    public void setTransferToAgent(@Nullable String transferToAgent)

  - ### escalate

    public Optional<Boolean> escalate()

  - ### setEscalate

    public void setEscalate(@Nullable Boolean escalate)

  - ### requestedAuthConfigs

    public Map<String, Map<String,Object>> requestedAuthConfigs()

  - ### setRequestedAuthConfigs

    public void setRequestedAuthConfigs(Map<String, ? extends Map<String,Object>> requestedAuthConfigs)

  - ### requestedToolConfirmations

    public Map<String, ToolConfirmation> requestedToolConfirmations()

  - ### setRequestedToolConfirmations

    public void setRequestedToolConfirmations(Map<String, ToolConfirmation> requestedToolConfirmations)

  - ### endOfAgent

    public boolean endOfAgent()

  - ### setEndOfAgent

    public void setEndOfAgent(boolean endOfAgent)

  - ### endInvocation

    @Deprecated public Optional<Boolean> endInvocation()
    Deprecated.
    Use `endOfAgent()` instead.

  - ### setEndInvocation

    @Deprecated public void setEndInvocation(boolean endInvocation)
    Deprecated.
    Use `setEndOfAgent(boolean)` instead.

  - ### compaction

    public Optional<EventCompaction> compaction()

  - ### setCompaction

    public void setCompaction(@Nullable EventCompaction compaction)

  - ### builder

    public static EventActions.Builder builder()

  - ### toBuilder

    public EventActions.Builder toBuilder()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`